PROJECTDIR = `pwd`
LIBUC = /opt/libuc2

HEADERSINSTALLPATH = $(LIBUC_INC_DIR_FSEXPLORER) 
HEADERS += fsexplorer.h
LIBSOURCES += fsexplorer.c
OBJDIR = obj
BINDIR = bin
OBJECTFILES = $(LIBSOURCES:.c=.o)
OBJECTFILES := $(addprefix $(OBJDIR)/,$(OBJECTFILES))
ARCH = lpc17XX-arm-noabi-gcc
ARCHFOLDER = $(LIBUC)/rules/lpc17XX-arm-noabi-gcc
TARGET=libfsexplorer
LIBUC_INCLUDES=$(LIBUC_INC_DIR_HEXVIEWER_CMD) $(LIBUC_INC_DIR_ALLFS_CMD) $(LIBUC_INC_DIR_UCSTRINGS_CMD) $(LIBUC_INC_DIR_UHANDLE_CMD) 
LIBUC_LIBRARIES=$(LIBUC_LIBS_DIR_HEXVIEWER_CMD) $(LIBUC_LIBS_HEXVIEWER) $(LIBUC_LIBS_DIR_ALLFS_CMD) $(LIBUC_LIBS_ALLFS) $(LIBUC_LIBS_DIR_UCSTRINGS_CMD) $(LIBUC_LIBS_UCSTRINGS) $(LIBUC_LIBS_DIR_UHANDLE_CMD) $(LIBUC_LIBS_UHANDLE) 
TARGETINSTALLPATH=$(LIBUC_LIBS_DIR_FSEXPLORER)
HEADERSINSTALLPATH=$(LIBUC_INC_DIR_FSEXPLORER)
BSP=generic
include $(ARCHFOLDER)/rules.mk

all:lib
	@echo Code compiled

libclean:
	rm -f $(TARGETINSTALLPATH)/*.a
	rm -f $(HEADERSINSTALLPATH)/*.h
