PROJECTDIR = `pwd`
LIBUC = /opt/libuc2

HEADERSINSTALLPATH = $(LIBUC_INC_DIR_FS) 
HEADERS += fs.h
LIBSOURCES += fs.c
OBJDIR = obj
BINDIR = bin
OBJECTFILES = $(LIBSOURCES:.c=.o)
OBJECTFILES := $(addprefix $(OBJDIR)/,$(OBJECTFILES))
ARCH = lpc21XX-arm-noabi-gcc
ARCHFOLDER = $(LIBUC)/rules/lpc21XX-arm-noabi-gcc
TARGET=libfs
LIBUC_INCLUDES=$(LIBUC_INC_DIR_BLKDEVICE_CMD) $(LIBUC_INC_DIR_UHANDLE_CMD) $(LIBUC_INC_DIR_BLKDEVICE_CMD) $(LIBUC_INC_DIR_UHANDLE_CMD) 
LIBUC_LIBRARIES=$(LIBUC_LIBS_DIR_BLKDEVICE_CMD) $(LIBUC_LIBS_BLKDEVICE) $(LIBUC_LIBS_DIR_UHANDLE_CMD) $(LIBUC_LIBS_UHANDLE) $(LIBUC_LIBS_DIR_BLKDEVICE_CMD) $(LIBUC_LIBS_BLKDEVICE) $(LIBUC_LIBS_DIR_UHANDLE_CMD) $(LIBUC_LIBS_UHANDLE) 
TARGETINSTALLPATH=$(LIBUC_LIBS_DIR_FS)
HEADERSINSTALLPATH=$(LIBUC_INC_DIR_FS)
BSP=generic
include $(ARCHFOLDER)/rules.mk

all:lib
	@echo Code compiled

libclean:
	rm -f $(TARGETINSTALLPATH)/*.a
	rm -f $(HEADERSINSTALLPATH)/*.h
