#---------------------------------------------------------------------------------
#       LIBRARY DEFINITIONS
#---------------------------------------------------------------------------------
LIBUC_LIBS		=

LIBUC_LIBS_CORE          = -static -lcore
LIBUC_LIBS_DIR_CORE      = $(LIBUC_LIBS_DIR)/CORE
LIBUC_LIBS_DIR_CORE_CMD  = -L $(LIBUC_LIBS_DIR_CORE)
LIBUC_INC_DIR_CORE       = $(LIBUC_INC_DIR)/CORE
LIBUC_INC_DIR_CORE_CMD   = -I $(LIBUC_INC_DIR_CORE)

LIBUC_LIBS_APB          = -static -lapb
LIBUC_LIBS_DIR_APB      = $(LIBUC_LIBS_DIR)/APB
LIBUC_LIBS_DIR_APB_CMD  = -L $(LIBUC_LIBS_DIR_APB)
LIBUC_INC_DIR_APB       = $(LIBUC_INC_DIR)/APB
LIBUC_INC_DIR_APB_CMD   = -I $(LIBUC_INC_DIR_APB)

LIBUC_LIBS_UCSTRINGS         = -static -lucstrings
LIBUC_LIBS_DIR_UCSTRINGS     = $(LIBUC_LIBS_DIR)/STRINGS/$(ARCH)
LIBUC_LIBS_DIR_UCSTRINGS_CMD = -L $(LIBUC_LIBS_DIR_UCSTRINGS)
LIBUC_INC_DIR_UCSTRINGS      = $(LIBUC_INC_DIR)/STRINGS/$(ARCH)
LIBUC_INC_DIR_UCSTRINGS_CMD  = -I $(LIBUC_INC_DIR_UCSTRINGS)

LIBUC_LIBS_UART          = -static -luart
LIBUC_LIBS_DIR_UART      = $(LIBUC_LIBS_DIR)/UART
LIBUC_LIBS_DIR_UART_CMD  = -L $(LIBUC_LIBS_DIR_UART)
LIBUC_INC_DIR_UART       = $(LIBUC_INC_DIR)/UART
LIBUC_INC_DIR_UART_CMD   = -I $(LIBUC_INC_DIR_UART)

LIBUC_LIBS_SPI           = -static -lspi
LIBUC_LIBS_DIR_SPI       = $(LIBUC_LIBS_DIR)/SPI
LIBUC_LIBS_DIR_SPI_CMD   = -L $(LIBUC_LIBS_DIR_SPI)
LIBUC_INC_DIR_SPI        = $(LIBUC_INC_DIR)/SPI
LIBUC_INC_DIR_SPI_CMD    = -I $(LIBUC_INC_DIR_SPI)

LIBUC_LIBS_SSP           = -static -lssp
LIBUC_LIBS_DIR_SSP       = $(LIBUC_LIBS_DIR)/SSP
LIBUC_LIBS_DIR_SSP_CMD   = -L $(LIBUC_LIBS_DIR_SSP)
LIBUC_INC_DIR_SSP        = $(LIBUC_INC_DIR)/SSP
LIBUC_INC_DIR_SSP_CMD    = -I $(LIBUC_INC_DIR_SSP)

LIBUC_LIBS_IIC          = -static -liic
LIBUC_LIBS_DIR_IIC      = $(LIBUC_LIBS_DIR)/IIC
LIBUC_LIBS_DIR_IIC_CMD  = -L $(LIBUC_LIBS_DIR_IIC)
LIBUC_INC_DIR_IIC       = $(LIBUC_INC_DIR)/IIC
LIBUC_INC_DIR_IIC_CMD   = -I $(LIBUC_INC_DIR_IIC)

LIBUC_LIBS_ADC          = -static -ladc
LIBUC_LIBS_DIR_ADC      = $(LIBUC_LIBS_DIR)/ADC
LIBUC_LIBS_DIR_ADC_CMD  = -L $(LIBUC_LIBS_DIR_ADC)
LIBUC_INC_DIR_ADC       = $(LIBUC_INC_DIR)/ADC
LIBUC_INC_DIR_ADC_CMD   = -I $(LIBUC_INC_DIR_ADC)

LIBUC_LIBS_24LC0X           = -static -l24lc0X
LIBUC_LIBS_DIR_24LC0X       = $(LIBUC_LIBS_DIR)/24LCXX/24LC0X
LIBUC_LIBS_DIR_24LC0X_CMD   = -L $(LIBUC_LIBS_DIR_24LC0X)
LIBUC_INC_DIR_24LC0X        = $(LIBUC_INC_DIR)/24LCXX/24LC0X
LIBUC_INC_DIR_24LC0X_CMD    = -I $(LIBUC_INC_DIR_24LC0X)

LIBUC_LIBS_SDCARD           = -static -lsdcard
LIBUC_LIBS_DIR_SDCARD       = $(LIBUC_LIBS_DIR)/SDCARD
LIBUC_LIBS_DIR_SDCARD_CMD   = -L $(LIBUC_LIBS_DIR_SDCARD)
LIBUC_INC_DIR_SDCARD        = $(LIBUC_INC_DIR)/SDCARD
LIBUC_INC_DIR_SDCARD_CMD    = -I $(LIBUC_INC_DIR_SDCARD)

LIBUC_LIBS_VS10XX           = -static -lvs10XX
LIBUC_LIBS_DIR_VS10XX       = $(LIBUC_LIBS_DIR)/VS10XX
LIBUC_LIBS_DIR_VS10XX_CMD   = -L $(LIBUC_LIBS_DIR_VS10XX)
LIBUC_INC_DIR_VS10XX        = $(LIBUC_INC_DIR)/VS10XX
LIBUC_INC_DIR_VS10XX_CMD    = -I $(LIBUC_INC_DIR_VS10XX)

LIBUC_LIBS_BLKDEVICE          = -static -lblkdevice
LIBUC_LIBS_DIR_BLKDEVICE      = $(LIBUC_LIBS_DIR)/BLKDEVICE
LIBUC_LIBS_DIR_BLKDEVICE_CMD  = -L $(LIBUC_LIBS_DIR_BLKDEVICE)
LIBUC_INC_DIR_BLKDEVICE       = $(LIBUC_INC_DIR)/BLKDEVICE
LIBUC_INC_DIR_BLKDEVICE_CMD   = -I $(LIBUC_INC_DIR_BLKDEVICE)

LIBUC_LIBS_FAT32           = -static -lfat32
LIBUC_LIBS_DIR_FAT32       = $(LIBUC_LIBS_DIR)/FAT32
LIBUC_LIBS_DIR_FAT32_CMD   = -L $(LIBUC_LIBS_DIR_FAT32)
LIBUC_INC_DIR_FAT32        = $(LIBUC_INC_DIR)/FAT32
LIBUC_INC_DIR_FAT32_CMD    = -I $(LIBUC_INC_DIR_FAT32)

LIBUC_LIBS_UHANDLE          = -static -luhandle
LIBUC_LIBS_DIR_UHANDLE      = $(LIBUC_LIBS_DIR)/UHANDLE
LIBUC_LIBS_DIR_UHANDLE_CMD  = -L $(LIBUC_LIBS_DIR_UHANDLE)
LIBUC_INC_DIR_UHANDLE       = $(LIBUC_INC_DIR)/UHANDLE
LIBUC_INC_DIR_UHANDLE_CMD   = -I $(LIBUC_INC_DIR_UHANDLE)

LIBUC_LIBS_STREAMDEVICE          = -static -lstreamdevice
LIBUC_LIBS_DIR_STREAMDEVICE      = $(LIBUC_LIBS_DIR)/STREAMDEVICE
LIBUC_LIBS_DIR_STREAMDEVICE_CMD  = -L $(LIBUC_LIBS_DIR_STREAMDEVICE)
LIBUC_INC_DIR_STREAMDEVICE       = $(LIBUC_INC_DIR)/STREAMDEVICE
LIBUC_INC_DIR_STREAMDEVICE_CMD   = -I $(LIBUC_INC_DIR_STREAMDEVICE)

LIBUC_LIBS_HEXVIEWER          = -static -lhexviewer
LIBUC_LIBS_DIR_HEXVIEWER      = $(LIBUC_LIBS_DIR)/HEXVIEWER
LIBUC_LIBS_DIR_HEXVIEWER_CMD  = -L $(LIBUC_LIBS_DIR_HEXVIEWER)
LIBUC_INC_DIR_HEXVIEWER       = $(LIBUC_INC_DIR)/HEXVIEWER
LIBUC_INC_DIR_HEXVIEWER_CMD   = -I $(LIBUC_INC_DIR_HEXVIEWER)

LIBUC_LIBS_MBR           = -static -lmbr
LIBUC_LIBS_DIR_MBR       = $(LIBUC_LIBS_DIR)/MBR
LIBUC_LIBS_DIR_MBR_CMD   = -L $(LIBUC_LIBS_DIR_MBR)
LIBUC_INC_DIR_MBR        = $(LIBUC_INC_DIR)/MBR
LIBUC_INC_DIR_MBR_CMD    = -I $(LIBUC_INC_DIR_MBR)

LIBUC_LIBS_UCDIRENT          = -static -lucdirent 
LIBUC_LIBS_DIR_UCDIRENT      = $(LIBUC_LIBS_DIR)/UCDIRENT
LIBUC_LIBS_DIR_UCDIRENT_CMD  = -L $(LIBUC_LIBS_DIR_UCDIRENT)
LIBUC_INC_DIR_UCDIRENT       = $(LIBUC_INC_DIR)/UCDIRENT
LIBUC_INC_DIR_UCDIRENT_CMD   = -I $(LIBUC_INC_DIR_UCDIRENT)

LIBUC_LIBS_FS           = -static -lfs
LIBUC_LIBS_DIR_FS       = $(LIBUC_LIBS_DIR)/FS
LIBUC_LIBS_DIR_FS_CMD   = -L $(LIBUC_LIBS_DIR_FS)
LIBUC_INC_DIR_FS        = $(LIBUC_INC_DIR)/FS
LIBUC_INC_DIR_FS_CMD    = -I $(LIBUC_INC_DIR_FS)

LIBUC_LIBS_FSEXPLORER           = -static -lfsexplorer
LIBUC_LIBS_DIR_FSEXPLORER       = $(LIBUC_LIBS_DIR)/FSEXPLORER
LIBUC_LIBS_DIR_FSEXPLORER_CMD  	= -L $(LIBUC_LIBS_DIR_FSEXPLORER)
LIBUC_INC_DIR_FSEXPLORER        = $(LIBUC_INC_DIR)/FSEXPLORER
LIBUC_INC_DIR_FSEXPLORER_CMD    = -I $(LIBUC_INC_DIR_FSEXPLORER)

LIBUC_LIBS_DIR_ALLFS_CMD        = $(LIBUC_LIBS_DIR_UCDIRENT_CMD) $(LIBUC_LIBS_DIR_FS_CMD) $(LIBUC_LIBS_DIR_MBR_CMD) $(LIBUC_LIBS_DIR_FAT32_CMD) $(LIBUC_LIBS_DIR_SDCARD_CMD) $(LIBUC_LIBS_DIR_BLKDEVICE_CMD)
LIBUC_INC_DIR_ALLFS_CMD         = $(LIBUC_INC_DIR_UCDIRENT_CMD) $(LIBUC_INC_DIR_FS_CMD) $(LIBUC_INC_DIR_MBR_CMD) $(LIBUC_INC_DIR_FAT32_CMD) $(LIBUC_INC_DIR_SDCARD_CMD) $(LIBUC_INC_DIR_BLKDEVICE_CMD)
LIBUC_LIBS_ALLFS                = $(LIBUC_LIBS_UCDIRENT) $(LIBUC_LIBS_FS) $(LIBUC_LIBS_MBR) $(LIBUC_LIBS_FAT32) $(LIBUC_LIBS_SDCARD) $(LIBUC_LIBS_BLKDEVICE)




LIBUC_LIBS_STLIB           = -static -lstlib
LIBUC_LIBS_DIR_STLIB       = $(LIBUC_LIBS_DIR)/STLIB
LIBUC_LIBS_DIR_STLIB_CMD   = -L $(LIBUC_LIBS_DIR_STLIB)
LIBUC_INC_DIR_STLIB        = $(LIBUC_INC_DIR)/STLIB
LIBUC_INC_DIR_STLIB_CMD    = -I $(LIBUC_INC_DIR_STLIB)






















